%define gtk_version 2.18.5
%define cairo_version 1.10.0

%define _libdir64 %{_prefix}/lib64

Summary:        Theme engines for GTK+ 2.0
Name:           gtk2-engines
Version:        2.18.5
Release:	2
# for details on which engines are GPL vs LGPL, see COPYING
License:        LGPLv2+
Group:          System Environment/Libraries
Source0:        http://download.gnome.org/sources/gtk-engines/2.18/gtk-engines-%{version}.tar.bz2
Source1:        http://download.gnome.org/sources/gtk-engines/2.18/gtk-engines-%{version}.sha256sum

Conflicts:  	gnome-themes < 2.9.0
Obsoletes:      gnome-theme-clearlooks <= 0.5

BuildRequires:  cairo-devel >= %{cairo_version}
BuildRequires:  gtk2-devel >= %{gtk_version}
BuildRequires:  intltool >= 0.41.1
BuildRequires:  gettext
BuildRequires:  pkg-config, patch, make
BuildRequires:  perl >= 5.8.8

Requires:       cairo >= %{cairo_version}
Requires:       gtk2 >= %{gtk_version}

URL:           	http://download.gnome.org/sources/gtk-engines
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

# http://bugzilla.gnome.org/show_bug.cgi?id=593030
Patch0: gtk-engines-2.18.2-change-bullet.patch

Patch1: tooltips.patch

Patch2: %{name}-%{version}-aix.patch

%description
The gtk2-engines package contains shared objects and configuration
files that implement a number of GTK+ theme engines. Theme engines
provide different looks for GTK+, some of which resemble other
toolkits or operating systems.


%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkg-config

%description devel
The gtk2-engines-devel package contains files needed to develop
software that uses the theme engines in the gtk2-engines package.


%prep
%setup -q -n gtk-engines-%{version}

export PATH=/opt/freeware/bin:$PATH
%patch0 -p1 -b .change-bullet
%patch1 -p1 -b .tooltips
%patch2

mkdir ../32bit 
mv * ../32bit 
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)


%build
export PATH=/opt/freeware/bin:$PATH

export AR="/usr/bin/ar"
export CC="xlc_r"

cd 64bit
# first build the 64-bit version
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir64} \
    --enable-shared --disable-static

gmake %{?_smp_mflags}

cd ../32bit 
# now build the 32-bit version
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
export OBJECT_MODE=64
gmake DESTDIR=${RPM_BUILD_ROOT} install

cd ../32bit
export OBJECT_MODE=32
gmake DESTDIR=${RPM_BUILD_ROOT} install

# sanitize permissions
find ${RPM_BUILD_ROOT}%{_datadir}/themes -type d -exec chmod 755 {} \;
find ${RPM_BUILD_ROOT}%{_datadir}/themes -type f -name "*.png" -exec chmod 644 {} \;
find ${RPM_BUILD_ROOT}%{_datadir}/themes -name "gtkrc*" -perm +111 -exec chmod 644 {} \;

(
  cd ${RPM_BUILD_ROOT}%{_libdir}/gtk-2.0/2.10.0/engines
  for f in lib*.a ; do
    /usr/bin/ar -X32 -x ${f}
  done
)

(
  cd ${RPM_BUILD_ROOT}%{_libdir64}/gtk-2.0/2.10.0/engines
  for f in lib*.a ; do
    /usr/bin/ar -X64 -x ${f}
  done
)

chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/gtk-2.0/2.10.0/engines/*.a
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir64}/gtk-2.0/2.10.0/engines/*.a
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/gtk-2.0/2.10.0/engines/*.la
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir64}/gtk-2.0/2.10.0/engines/*.la
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/gtk-2.0/2.10.0/engines/*.so
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir64}/gtk-2.0/2.10.0/engines/*.so


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc 32bit/README 32bit/AUTHORS 32bit/NEWS 32bit/COPYING
%attr(644,root,system) %{_libdir}/gtk-2.0/2.10.0/engines/*.a
%attr(644,root,system) %{_libdir64}/gtk-2.0/2.10.0/engines/*.a
%attr(755,root,system) %{_libdir}/gtk-2.0/2.10.0/engines/*.so
%attr(755,root,system) %{_libdir64}/gtk-2.0/2.10.0/engines/*.so
%{_datadir}/locale/*/*/*
%{_datadir}/themes/*
%{_datadir}/gtk-engines


%files devel
%defattr(-,root,system)
%attr(644,root,system) %{_libdir}/gtk-2.0/2.10.0/engines/*.la
%attr(644,root,system) %{_libdir64}/gtk-2.0/2.10.0/engines/*.la
%{_libdir}/pkgconfig/gtk-engines-2.pc


%changelog
* Fri Jan 08 2016 Michael Perzl <michael@perzl.org> - 2.18.5-2
- fixed some wrong file permissions

* Tue Nov 13 2012 Michael Perzl <michael@perzl.org> - 2.18.5-1
- updated to version 2.18.5

* Fri Nov 27 2009 Michael Perzl <michael@perzl.org> - 2.18.4-1
- first version for AIX V5.1 and higher
